Subject: bug#47678: 27.1; `completion-boundaries` assertion failure for file

From: Daniel Mendler <[email-masked]>
Date: Thu, 6 May 2021 13:07:40 +0200

On 5/6/21 12:01 PM, Lars Ingebrigtsen wrote:
> Stefan Monnier <[email-masked]> writes:
> 
>> IOW I consider the existence of `vertico--tidy-shadowed-file` as a bug
>> in itself ;-)
> 
> Skimming this thread, I'm not sure whether there's anything to be done
> in Emacs here?

@Stefan The existence of this function is a bug for people who want to
keep their shadowed paths. This is a matter of preference. For me
shadowed paths are a cheap means of changing the directory during
completion and I usually don't want to go back to the old path in the
process. Icomplete has the same function, but guarded behind a
customization option. Why do you prefer to keep the shadowed paths?

@Lars From what I see, Stefan already fixed the bug?

Daniel